Bug 730797 - Nvidia hardware X video scramble
Summary: Nvidia hardware X video scramble
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 14
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 19:33 UTC by Bill Gradwohl
Modified: 2018-04-11 07:12 UTC (History)
6 users (show)

Fixed In Version: xorg-x11-server-1.9.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 23:04:22 UTC


Attachments (Terms of Use)
This is what I get when I move a dialog left quickly. (226.39 KB, image/png)
2011-08-15 19:33 UTC, Bill Gradwohl
no flags Details
scrambles image when hsdpa modem activates (7.03 KB, image/png)
2011-09-04 15:11 UTC, Bill Gradwohl
no flags Details

Description Bill Gradwohl 2011-08-15 19:33:39 UTC
Created attachment 518318 [details]
This is what I get when I move a dialog left quickly.

Description of problem:
Using almost any application that pops up a dialog, rapidly moving that dialog left causes the dialog to become scrambled as a bunch of vertical lines. Moving it right does not, and moving it left slowly does not (usually)

Version-Release number of selected component (if applicable):


How reproducible:
Bring up an application, bring up a dialog from that app, grab its title with the mouse and move it left.

Steps to Reproduce:
1.Bring up Transmission
2.Double click on an active download
3.Grab the title bar with the mouse and move it left quickly
  
Actual results:
Dialog is scrambled beyond recognition

Expected results:


Additional info:
See attachment.
LSPCI say the hardware is :
VGA compatible controller: nVidia Corporation Device 0dd1 (rev a1)
This is on an ASUS ROG high end laptop.

Comment 1 Ben Skeggs 2011-08-16 23:15:20 UTC
There is no, zero, support for acceleration on your chipset in F14.  So, nouveau is not responsible, reassigning to pixman as it's responsible for software rendering.

Comment 2 Bill Gradwohl 2011-09-04 15:08:43 UTC
I also get another form of a scrambled image under a particular circumstance.

When my HSDPA modem is activated, the icons at the top of the screen get duplicated. Only the modem activation does this, nothing else.

See attached

Comment 3 Bill Gradwohl 2011-09-04 15:11:40 UTC
Created attachment 521377 [details]
scrambles image when hsdpa modem activates

Comment 4 Adam Jackson 2011-10-13 14:17:25 UTC
Pretty sure this is the fb memcpy abuse bug in xserver, changing component.

Comment 5 Fedora Update System 2011-10-13 14:28:16 UTC
xorg-x11-server-1.9.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.9.5-2.fc14

Comment 6 Fedora Update System 2011-10-13 23:56:33 UTC
Package xorg-x11-server-1.9.5-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.9.5-2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14324
then log in and leave karma (feedback).

Comment 7 Bill Gradwohl 2011-10-14 15:27:46 UTC
Tried twice so far to get this, once from Duke.edu, and no luck. 

Is there a schedule for when the mirrors get refreshed or is every mirror doing things on whatever schedule they want?

I'll keep trying and then let you know after I've tested it.

Bill

Comment 8 Matěj Cepl 2011-10-15 22:02:44 UTC
(In reply to comment #7)
> I'll keep trying and then let you know after I've tested it.

From https://admin.fedoraproject.org/updates/FEDORA-2011-14324 click on "Builds" link you get to http://koji.fedoraproject.org/koji/buildinfo?buildID=268468, where you can download your RPMs and install them with

yum upgrade xorg-x11-server*.rpm

from the directory where you saved them.

Any results?

Comment 9 Fedora Update System 2011-10-24 23:04:22 UTC
xorg-x11-server-1.9.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Stefan Ring 2011-10-25 10:26:32 UTC
Proposing duplicate: bug #665320

Comment 11 Matěj Cepl 2011-10-25 15:20:25 UTC
(In reply to comment #10)
> Proposing duplicate: bug #665320

YOu mean, bug 665320 got fixed?

That would be lovely

Comment 12 Stefan Ring 2011-10-25 21:29:15 UTC
Yes, see comment there.


Note You need to log in before you can comment on or make changes to this bug.